Author Topic: Main PHP Selector isn't work in 0.9.8.1177  (Read 684 times)

0 Members and 1 Guest are viewing this topic.

Offline
****
Main PHP Selector isn't work in 0.9.8.1177
« on: March 21, 2024, 03:25:13 PM »
Started today updating (or trying to without success) the PHP to 8.2.17.

Neither of the first 2 servers would update to PHP 8.2.17, so I tried 8.2.16.
To my surprise, I got the EXACT SAME Error...

So ya, there's a major bug in 0.9.8.1177...


Offline
****
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #1 on: March 22, 2024, 02:37:49 PM »
CWP got the bug fixed.  :)

Offline
*
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #2 on: March 23, 2024, 09:00:24 PM »
CWP got the bug fixed.  :)
How they fixed it without update to a new version ?

Offline
****
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #3 on: March 24, 2024, 12:56:05 AM »
How they fixed it without update to a new version ?

I'm guessing CWP contacts the home planet in the background to build PHP versions.

But it works, updated all the servers last night to 8.2.17.

1 thing I did notice, is it wiped out the disable_function=, so you have to rebuild that.

Offline
****
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #4 on: March 24, 2024, 04:14:35 AM »
The php.ini files are always reset to defaults with each php version (re)build -- unless you have them set as immutable (which I do). With each build, you will lose your date/timezone settings, max execution time, max upload, disable functions, etc. customizations.

Offline
*
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #5 on: April 17, 2024, 11:30:20 PM »
Correct I have the pro version and I still haven't got the update yet to fix this bug

Offline
****
Re: Main PHP Selector isn't work in 0.9.8.1177
« Reply #6 on: April 18, 2024, 12:47:37 AM »
Correct I have the pro version and I still haven't got the update yet to fix this bug

It was a bug in the CWP backend, not in server panel, and that was fixed awhile ago.